package com.recovery.admin.boot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author ytChen
 * @since 2024-01-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tbl_user")
public class User implements Serializable {


    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 姓名
     */
    private String name;

//    /**
//     * 性别1=男2=女
//     */
//    private Integer gender;

    /**
     * 手机号
     */
    private String phone;

//    /**
//     * 货场名称
//     */
//    private String factoryName;
//
//    /**
//     * 货场详细地址
//     */
//    private String factoryAddress;
//
//    /**
//     * 省份id
//     */
//    private Integer provinceId;
//    /**
//     * 市区id
//     */
//    private Integer areaId;
//    /**
//     * 县id
//     */
//    private Integer citiyId;
//
//
//    /**
//     * 用户类别 1= 工作人员 2=采购商3=客户
//     */
//    private Integer userType;


    /**
     * 账号
     */
    private String userName;

    /**
     * 密码
     */
    private String password;

//    /**
//     * 状态 1=有效 0=无效
//     */
//    private Integer state;
//
//
//    /**
//     * 修改时间
//     */
//    @Column(name = "update_time")
//    private LocalDateTime updateTime;
//
//    /**
//     * 创建时间
//     */
//    @Column(name = "create_time")
//    private LocalDateTime createTime;
//
//    /**
//     * 创建人id
//     */
//    @Column(name = "create_user_id")
//    private Long createUserId;
//
//    /**
//     * 修改人id
//     */
//    @Column(name = "update_user_id")
//    private Long updateUserId;

//
//    /**
//     * 删除状态
//     */
//    private Boolean isDeleted;

}
