package com.recovery.admin.boot.feign;



import com.recovery.common.base.config.feign.FeignConfiguration;
import com.recovery.common.base.dto.UserAuthDTO;
import com.recovery.common.base.result.ApiResult;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author： 
 */
@FeignClient(value = "hoe-order",configuration = FeignConfiguration.class)
public interface OrderFeignClient {

    @RequestMapping("/api/rest/order/test")
    String test();


}
