package com.recovery.order.service.impl;

import com.recovery.common.base.util.UtilTools;
import com.recovery.order.entity.OrderIn;
import com.recovery.order.mapper.OrderInMapper;
import com.recovery.order.service.OrderInService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 收货单 服务实现类
 * </p>
 *
 * @author ytChen
 * @since 2024-05-14
 */
@Service
@Slf4j
public class OrderInServiceImpl extends ServiceImpl<OrderInMapper, OrderIn> implements OrderInService {

    @Override
//    @Transactional
//    @GlobalTransactional
    public boolean saveOrderIn(OrderIn orderIn) {
        orderIn.setIsDeleted(0);
        orderIn.setUserId(1L);
        baseMapper.insert(orderIn);
        log.info("获取登陆值去除------"+ UtilTools.getUserId() +"");
        throw new RuntimeException("saveOrderIn error");
//        return true;
    }
}
