package com.recovery.admin.boot.controller;


import cn.dev33.satoken.stp.StpUtil;
import com.recovery.admin.boot.config.DynamicThreadPoolConfig;
import com.recovery.admin.boot.entity.User;
import com.recovery.admin.boot.service.UserService;
import com.recovery.common.base.constant.Constants;
import com.recovery.common.base.dto.UserAuthDTO;
import com.recovery.common.base.result.ApiResult;
import com.recovery.common.base.util.HspHostUtil;
import com.recovery.common.base.util.RedisUtil;
import com.recovery.common.base.util.UtilTools;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@RequestMapping("/api/v1/test")
@Slf4j
public class testController {

    @Resource
    UserService userService;
    @Resource
    RedisUtil redisUtil;
    @Autowired
    private DynamicThreadPoolConfig dynamicThreadPool;

    /**
     * cs
     */
    @GetMapping("/cs")
    public ApiResult<UserAuthDTO> cs(@RequestParam String name, HttpServletRequest request) {
        User user = new User();
        user.setUserName("测试库");
        user.setPhone("123");
        userService.add(user);
//        try {
//            UserAuthDTO authDTO = userService.getByUsername(name);
//            List<User> l = userService.list();
//            log.info("测试库："+authDTO.getStatus());
//            log.info("111获取线程的数据=="+HspHostUtil.getHspHost());
//            log.info("获取登陆值去除------"+ UtilTools.getUserId() +"");
//            StpUtil.kickoutByTokenValue(Constants.LOGIN_USRE_TOKEN);
////            Thread thread = new Thread(()->{
////                try {
////                    Thread.sleep(3000);
////                } catch (InterruptedException e) {
////                    throw new RuntimeException(e);
////                }
////                log.info("获取线程的数据=="+HspHostUtil.getHspHost());
////            },"测试线程");
////            thread.start();
//////        StpUtil.logout();
////            dynamicThreadPool.printThreadPoolStatus();
//            return ApiResult.ok(authDTO);
//        }catch (Exception e){
//            log.info("cs异常"+e.getMessage(),e);
//            return ApiResult.failed("cs异常");
//        }
        return ApiResult.failed("cs异常");

    }


    /**
     * cs
     */
    @GetMapping("/cs1")
    public ApiResult ccss(HttpServletRequest request) {
        String user = StpUtil.getLoginIdDefaultNull()+"";
        StpUtil.kickout(StpUtil.getLoginId());
//        StpUtil.logout();
        return ApiResult.ok("踢下线");
    }
}
