package com.recovery.order.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 收货单
 * </p>
 *
 * @author ytChen
 * @since 2024-05-14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("tbl_order_in")
public class OrderIn implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    private Long id;

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 删除标识0未删除1删除
     */
    private Integer isDeleted;


}
